{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}

    <style>
        .btn {
            display: inline-block;
            height: 50px;
            line-height: 50px;
            position: relative;
            border: 1px solid white;
            padding: 0 1rem;
        }

        .form-group {
            margin-top: 10px;
        }
    </style>
{% endblock %}

{% block title %}
    Links
{% endblock %}

{% block body %}
    {% if (stats|length > 0) %}
        <h2>Statistics:</h2>
        <table border="1">
            <tr>
                <td>Source</td>
                <td>Target</td>
                <td>Views</td>
                <td>Country</td>
                <td>City</td>
                <td>User-Agent</td>
                <td>DateTime</td>
                <td>Token expired</td>
            </tr>
            <tbody>
            {% for stat in stats %}
                <tr>
                    <td><a target="_blank" class="short-link"
                           href="{{ url('view_links') }}/{{ stat.token }}">{{ url('view_links') }}/{{ stat.token }}</a>
                    </td>
                    <td><a target="_blank" href="{{ stat.target }}">{{ stat.target }}</a></td>
                    <td>{{ stat.views }}</td>
                    <td>{{ stat.headers.country | default("") }}</td>
                    <td>{{ stat.headers.city | default("") }}</td>
                    <td>{{ stat.headers.user_agent | default("") }}</td>
                    <td>{{ stat.updated_at|date("Y-m-d H:i:s") }}</td>
                    <td>
                        {% if stat.token_expired is not null %}
                            {{ stat.token_expired|date("Y-m-d H:i:s") }}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}

    <h3><a href="{{ path('viewLinks') }}">refresh stats</a></h3>

    <h2>Generate shorten link</h2>
    <div class="form-group">
        {% if code is defined %}
            <a target="_blank" class="short-link" href="{{ url('view_links') }}/{{ code }}">{{ url('view_links') }}
                /{{ code }}</a>
        {% endif %}
        <form action="{{ path('generate_links') }}" method="post">
            <div class="form-group">
                <input type="text" class="form-control" name="token_expired" placeholder="LifeTime Token (minutes)">
            </div>
            <div class="form-group">
                <input type="url" class="form-control" name="url" placeholder="Url">
            </div>
            <div class="form-group">
                <button type="submit">Save</button>
            </div>
        </form>
    </div>
{% endblock %}